<div class="register-form ">
    <h1>Registeration Form</h1>
    <form>
      <fieldset>
        <label>Uername</label>   <input type="text" name="username" maxlength="16"placeholder="username" [(ngModel)]="customer.username" ng-required><br>
        <label> Password </label><input type="password" name="password" maxlength="10" placeholder="password" [(ngModel)]="customer.password" required><br>
        <label> Email </label><input type="text" name="email" placeholder="email" maxlength="40" [(ngModel)]="customer.email" required><br>
        <label>Mobile No </label><input type="text" name="mobileNo" placeholder="mobileNo" maxlength="10" [(ngModel)]="customer.mobileNo" required>
        <label>FirstName</label><input type="text" name="firstName" placeholder="firstName" maxlength="40" [(ngModel)]="customer.firstName" required>
        <label>LastName</label><input type="text" name="lastName" placeholder="lastName" maxlength="40" [(ngModel)]="customer.lastName" required>
        <label>Address </label><input type="text" name="address" placeholder="address" maxlength="20" [(ngModel)]="customer.address" required>
        <label>City</label><input type="text" name="city" placeholder="city" maxlength="30" [(ngModel)]="customer.city" required>
        <label>Zip</label><input type="text" name="zip" placeholder="zip" maxlength="10" [(ngModel)]="customer.zip" required>
        <label>State</label><input type="text" name="state" placeholder="state" maxlength="2" [(ngModel)]="customer.state" required>
        <input type="submit" value = "Register" (click)="onClickSubmit()">
        <div [ngStyle]="{'color': success    ? 'green' : 'red'}">
          {{message}}
        </div> 
        <label> <a [routerLink]="['/login']" class="btn btn-link">Login</a></label> 
      </fieldset>
    </form>
   
  </div>	